Is centos web panel secure?

Harry P

Well-known member
Registered
Joined
Feb 3, 2015
Messages
447
Points
28
I was recommended to centos web panel on a VPS from my hosting provider, it is free, so I think it can have any issues with security or less updates if compared with paid control panel. Can you guys advice me?
 

AlbaHost

Well-known member
Moderator
Hosting Provider
Joined
Jan 18, 2017
Messages
791
Points
43
Actually their updates are very frequently, we use them for 5-6 month PRO version and so far no issues...
 

Efe Agbontaen

Member
Registered
Joined
Sep 4, 2020
Messages
49
Points
6
I was recommended to centos web panel on a VPS from my hosting provider, it is free, so I think it can have any issues with security or less updates if compared with paid control panel. Can you guys advice me?
On the contrary, opensource projects tend to be more secure than closed source. When a project is opensource, it is exposed to both Ethical and Unethincal hackers and programmers. When a security bug is found, it is reported and patched.

In closed source, the kind of hackers willing to Reverse Engineer the source codes will likely be BlackHat and they will use what ever bug they find for their unethical reasons.

Anyway, CentOS Web Panel is secure, though it's not opensource.
 

fiz

Well-known member
Hosting Provider
Registered
Joined
Aug 6, 2020
Messages
116
Points
16
Yes, It is fine and updates regularly. You can give its free version a try and then go for the pro version.
 

Blesta.store

New member
Registered
Joined
Dec 17, 2020
Messages
8
Points
1
I don't recommend CWP because of their past, Rack911Labs found a lot of exploits and they took ages to fix them. The developers always say they've improved but a leopard doesn't change it's spots. But what you use is up-to you. If you want to use it, you can use it but I personally recommend you dont.
 
Recommended Threads

Latest Hosting OffersNew Reviews

Sponsors

Tag Cloud

You are using an out of date browser. It may not display this or other websites correctly.
You should upgrade or use an alternative browser.

Top